import 'package:gmalpha_flutter/FindModel/service/remote/api/FindApi.serv.dart';
import 'package:gmalpha_flutter/FindModel/service/remote/entity/FindEntity.dart';
import 'package:rxdart/rxdart.dart';

class FindRemote{
  static FindRemote _findRemote;

  FindRemote._(){}

  static FindRemote getInstance(){
    if(_findRemote == null){
      _findRemote = new FindRemote._();
    }
    return _findRemote;
  }

  Observable<FindEntity> getFindPage(int page,int count){
    return FindApiImpl().getFindPage(page,count);
  }
}